Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Interface WorkflowOps

All Superinterfaces
  Serializable

Deprecated As of 10.2, replaced by `WorkflowOpsV1`. The SPI interfaces in the com.bea.content.spi package have all been deprecated as of 10.2. Oracle does not intend to remove these interfaces during the next major release of WebLogic Portal. However, please note that new development should take place using the com.bea.content.spi.flexspi interfaces going forward.

    @Deprecated
    public interface WorkflowOps

extends Serializable

The WorkflowOps interface contains methods to manage workflows for a given repository. A Workflow represents the workflow a node goes through from it's starting point (DRAFT) to the end point (PUBLISHED) by default. This interface allows users to customize the workflow actions associated with the node as well as the status associated with each action.

Method Summary
`Workflow` | `addWorkflow(String name, String comment, byte[] data)` Deprecated Add a new workflow document to the system.
`void` | `deleteWorkflow(ID id)` Deprecated Delete the specified workflow document from the system.
`Workflow[]` | `getAllWorkflows(QueryCriteria queryCriteria)` Deprecated Returns all the workflows in the specified repository [Including the Default Workflow document] Please note that these workflow documents are lightweight objects and do not contain the actual workflow data.
`Workflow` | `getDefaultWorkflow()` Deprecated Returns the default workflow for the given repository.
`Set<String>` | `getNativeFilterableProperties()` Deprecated Returns a set of property names which the repository can filter natively (within the repository instead of the federated API) for paging purposes.
`Set<String>` | `getNativeSortableProperties()` Deprecated Returns a set of property names which the repository can sort natively (within the repository instead of the federated API) for paging purposes.
`ID[]` | `getNodeIDsForWorkflow(ID workflowId, QueryCriteria queryCriteria)` Deprecated Returns the Node IDs associated with the given workflow.
`ID[]` | `getTypeIDsForWorkflow(ID workflowId, QueryCriteria queryCriteria)` Deprecated Returns the Type IDs associated with the given workflow.
`Workflow` | `getWorkflow(ID id)` Deprecated Return a specific workflow document with the given id
`Workflow` | `getWorkflow(String name)` Deprecated Return a specific workflow document with the given name
`byte[]` | `getWorkflowDocument(ID workflowId)` Deprecated Return the document associated with the workflow.
`Workflow` | `getWorkflowForNode(ID nodeId)` Deprecated Returns the workflow document associated with the node.
`Workflow` | `getWorkflowForType(ID typeId)` Deprecated Returns the workflow document associated with the type.
`Workflow` | `setDefaultWorkflow(byte[] data)` Deprecated Allows a user to set a default workflow for the entire repository.
`void` | `setNodeWorkflow(ID nodeId, ID workflowId)` Deprecated Sets the specific workflow document to the given node.
`void` | `setTypeWorkflow(ID typeId, ID workflowId)` Deprecated Sets the specific workflow document to the given type.
`Workflow` | `updateWorkflowDocument(ID id, byte[] data)` Deprecated Updates the workflow document data.
`Workflow` | `updateWorkflowMetaData(ID id, String name, String comment)` Deprecated Update the workflow document meta-data.

Method Detail

### addWorkflow

    Workflow addWorkflow(String name,
                         String comment,
                         byte[] data)
                         throws WorkflowExistsException,
                                DefaultWorkflowException,
                                RepositoryException

  Deprecated
  Add a new workflow document to the system.

  Parameters
    `name` - Name of the workflow
    `comment` - The comment associated with the workflow.
    `data` - Byte Array of the file representing workflow data.
  Throws
    `WorkflowExistsException` - If the workflow with the specified name already exists.
    `DefaultWorkflowException` - If user tried to add a default workflow in the system.
    `RepositoryException` - If the workflow was not added due to other problem.

### deleteWorkflow

    void deleteWorkflow(ID id)
                        throws DefaultWorkflowException,
                               WorkflowInUseException,
                               RepositoryException

  Deprecated
  Delete the specified workflow document from the system.

  Parameters
    `id` - The ID associated with the workflow object
  Throws
    `DefaultWorkflowException` - If user tried to delete the default workflow.
    `WorkflowInUseException` - If the user tried to delete a workflow which was in use.
    `RepositoryException` - If the workflow was not deleted due to some other problem.

### getAllWorkflows

    Workflow[] getAllWorkflows(QueryCriteria queryCriteria)
                               throws RepositoryException

  Deprecated
  Returns all the workflows in the specified repository [Including the Default Workflow document] Please note that these workflow documents are lightweight objects and do not contain the actual workflow data.

  Parameters
    `queryCriteria` - The query criteria for this operation.
  Throws
    `RepositoryException` - If workflows cannot be retrieved due to some other issue.

### getWorkflow

    Workflow getWorkflow(ID id)
                         throws NoSuchWorkflowException,
                                RepositoryException

  Deprecated
  Return a specific workflow document with the given id

  Parameters
    `id` - The ID of the workflow
  Returns
    The Workflow representing the workflow document.
  Throws
    `NoSuchWorkflowException` - If the workflow document does not exist.
    `RepositoryException` - If some other error happens.

### getWorkflow

    Workflow getWorkflow(String name)
                         throws NoSuchWorkflowException,
                                RepositoryException

  Deprecated
  Return a specific workflow document with the given name

  Parameters
    `name` - The name of the workflow
  Returns
    The Workflow representing the workflow document.
  Throws
    `NoSuchWorkflowException` - If the workflow document does not exist.
    `RepositoryException` - If some other error happens.

### getDefaultWorkflow

    Workflow getDefaultWorkflow()
                                throws RepositoryException

  Deprecated
  Returns the default workflow for the given repository. Every repository has one default workflow associated with it.

  Returns
    The Workflow representing the workflow documemnt.
  Throws
    `RepositoryException` - If there is another exception in the repository.

### setDefaultWorkflow

    Workflow setDefaultWorkflow(byte[] data)
                                throws RepositoryException

  Deprecated
  Allows a user to set a default workflow for the entire repository.

  Parameters
    `data` - The workflow data
  Throws
    `RepositoryException` - If there is another exception in the repository.

### updateWorkflowMetaData

    Workflow updateWorkflowMetaData(ID id,
                                    String name,
                                    String comment)
                                    throws RepositoryException

  Deprecated
  Update the workflow document meta-data. This operation will not succeed if user tries to update default workflow meta-data. Also the operation might fail if the user tried to update the name of the workflow to a workflow which already exists in the system.

  Parameters
    `id` - The id of the workflow
    `name` - The new name of the workflow
    `comment` - The new comment for the workflow.
  Throws
    `RepositoryException` - If the the update of the metadata fails for some reason

### updateWorkflowDocument

    Workflow updateWorkflowDocument(ID id,
                                    byte[] data)
                                    throws RepositoryException

  Deprecated
  Updates the workflow document data. This operation will disallow updating Default Workflow's meta-data

  Parameters
    `id` - The ID of the workflow
    `data` - The data associated with the workflow
  Throws
    `RepositoryException` - If the update of the workflow does not work, or if the workflow is in use by another node in the system.

### setNodeWorkflow

    void setNodeWorkflow(ID nodeId,
                         ID workflowId)
                         throws RepositoryException

  Deprecated
  Sets the specific workflow document to the given node. This allows all further operations like checkIn/checkOut to follow the workflow specified in the workflow document.

  Parameters
    `nodeId` - The NodeId
    `workflowId` - The workflowId. The UID in this variable can be set to null to remove the workflow from the node.
  Throws
    `RepositoryException` - If the operation fails for some reason.

### setTypeWorkflow

    void setTypeWorkflow(ID typeId,
                         ID workflowId)
                         throws RepositoryException

  Deprecated
  Sets the specific workflow document to the given type. This allows all further operations like checkIn/checkOut to follow the workflow specified in the workflow document.

  Parameters
    `typeId` - The TypeId
    `workflowId` - The workflowId. The UID in this variable can be set to null to remove the workflow from the type.
  Throws
    `RepositoryException` - If the operation fails for some reason. This can also be thrown if a node already has a workflow associated with it.

### getWorkflowForNode

    Workflow getWorkflowForNode(ID nodeId)
                                throws RepositoryException

  Deprecated
  Returns the workflow document associated with the node.

  Parameters
    `nodeId` - The node ID object.
  Returns
    The workflowObject for that node. If the node has no workflow object associated with it, it should return null. This will indicate the system to use the default workflow for that node when the node has been checked out.
  Throws
    `RepositoryException` - if the operation does not succeed.

### getWorkflowForType

    Workflow getWorkflowForType(ID typeId)
                                throws RepositoryException

  Deprecated
  Returns the workflow document associated with the type.

  Parameters
    `typeId` - The type ID object.
  Returns
    The workflowObject for that type. If the type has no workflow object associated with it, it should return null.
  Throws
    `RepositoryException` - if the operation does not succeed.

### getNodeIDsForWorkflow

    ID[] getNodeIDsForWorkflow(ID workflowId,
                               QueryCriteria queryCriteria)
                               throws RepositoryException

  Deprecated
  Returns the Node IDs associated with the given workflow.

  Parameters
    `workflowId` - The Workflow ID object
    `queryCriteria` - The query criteria for this operation
  Returns
    An Array of Node IDs associated with the workflow
  Throws
    `RepositoryException` - If the operation does not succeed.

### getTypeIDsForWorkflow

    ID[] getTypeIDsForWorkflow(ID workflowId,
                               QueryCriteria queryCriteria)
                               throws RepositoryException

  Deprecated
  Returns the Type IDs associated with the given workflow.

  Parameters
    `workflowId` - The Workflow ID object
    `queryCriteria` - The query criteria for this operation
  Returns
    An Array of Type IDs associated with the workflow
  Throws
    `RepositoryException` - If the operation does not succeed.

### getWorkflowDocument

    byte[] getWorkflowDocument(ID workflowId)
                               throws NoSuchWorkflowException,
                                      RepositoryException

  Deprecated
  Return the document associated with the workflow. Since the getWorkflow method does not actually load the document, it is lazily loaded with this method on demand.

  Parameters
    `workflowId` - The ID of the workflow
  Returns
    The binary representation of the workflow document.
  Throws
    `NoSuchWorkflowException` - if workflow does not exist.
    `RepositoryException`

### getNativeSortableProperties

    Set<String> getNativeSortableProperties()
                                            throws RepositoryException

  Deprecated
  Returns a set of property names which the repository can sort natively (within the repository instead of the federated API) for paging purposes.

  Returns
    The property names which can be sorted at the repository level.
  Throws
    `RepositoryException` - If the operation does not succeed.

### getNativeFilterableProperties

    Set<String> getNativeFilterableProperties()
                                              throws RepositoryException

  Deprecated
  Returns a set of property names which the repository can filter natively (within the repository instead of the federated API) for paging purposes.

  Returns
    The property names which can be filtered at the repository level.
  Throws
    `RepositoryException` - If the operation does not succeed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.